# Retrieve the URL for an order's data extension

Retrieves the URL for the order's data extension. This lets you check if the data extension exists.

Endpoint: GET /v2.1/orders/{orderRef}/extensions
Version: v2.1
Security: BasicAuth

## Path parameters:

  - `orderRef` (string, required)
    The order reference. This is a unique identifier of the order record. Automatically generated when you created the order. If you don't know the order reference, first list orders.
    Example: "2d7de9df-45a2-45ea-872c-30e45139007d"

## Query parameters:

  - `expand` (array)
    You can expand items in a collection by setting expand=true. This eliminates the need to send multiple follow-up requests (one for the collection and another for each of its items). This also helps you check if the data you intend to create already exists.
    Example: true

  - `offset` (object)
    Collection responses use offset pagination. The offset query parameter is used to exclude from a response the first N items of the entire resource collection.

  - `limit` (object)
    Collection responses use offset pagination. This query parameter lets you adjust the maximum number of collection items to return for a single request.
    Example: 40

## Response 200 fields (application/json):

  - `name` (string)
    The name of the data extension.
    Example: "ext"

  - `offset` (integer)
    The request's offset.

  - `limit` (integer)
    The request's limit.
    Example: 10

  - `first` (object)
    The request's first list of order data extensions URL.

  - `first.href` (string)
    Example: "https://api-engage-eu.sitecorecloud.io/v2.1/orders/cadd106a-feff-42b2-90fb-a6ed136ece51/extensions"

  - `last` (object)
    The request's last list of order data extensions URL.

  - `last.href` (string)
    Example: "https://api-engage-eu.sitecorecloud.io/v2.1/orders/cadd106a-feff-42b2-90fb-a6ed136ece51/extensions"

  - `next` (object)
    The request's next list of order data extensions URL.

  - `next.href` (string)
    Example: "https://api-engage-eu.sitecorecloud.io/v2.1/orders/cadd106a-feff-42b2-90fb-a6ed136ece51/extensions"

  - `href` (string)
    The request's URL.
    Example: "https://api-engage-eu.sitecorecloud.io/v2.1/orders/cadd106a-feff-42b2-90fb-a6ed136ece51/extensions/ext"

  - `items` (array)
    The request's data extension items.

  - `items.href` (string)
    Example: "https://api-engage-eu.sitecorecloud.io/v2.1/orders/cadd106a-feff-42b2-90fb-a6ed136ece51/extensions/ext"

  - `order` (object)

  - `order.href` (string)
    Example: "https://api-engage-eu.sitecorecloud.io/v2.1/orders/cadd106a-feff-42b2-90fb-a6ed136ece51"

## Response 400 fields (application/json):

  - `status` (integer)
    The HTTP request status.
    Example: 400

  - `code` (integer)
    The HTTP response status code.
    Example: 400

  - `message` (string)
    description message
    Example: "firstName: may not be null."

  - `developerMessage` (string)
    Error description for developers.
    Example: "firstName: may not be null."

  - `moreInfoUrl` (string)
    URL to get more information about the error.
    Example: "https://support.sitecore.com"

## Response 401 fields (application/json):

  - `status` (string)
    The HTTP request status.
    Example: "UNAUTHORIZED"

  - `code` (integer)
    The HTTP response status code.
    Example: 401

  - `message` (string)
    Error description.
    Example: "Authentication credentials are required to access the resource. All requests must be authenticated."

  - `moreInfoUrl` (string)
    URL to get more information about the error.
    Example: "https://support.sitecore.com"


